# -*- coding: iso_8859_1 -*-

from aspylib import astro, calib, conf

#------------------------------------------------------------------------------------
#	purpose
#------------------------------------------------------------------------------------
#
#	This script calculate a master dark and offset frames, starting from raw dark and offset frames.
#
#------------------------------------------------------------------------------------
#	input parameters
#------------------------------------------------------------------------------------

#--- input names ---
Folder = conf.folder+"test_calibration\\"

Darklist = [Folder + "sources\\dark\\dark-" + str(i+1) + ".fits" for i in range(20)]
Offsetlist = [Folder + "sources\\offset\\offset-" + str(i+1) + ".fits" for i in range(20)]

#--- output name ---
Finaldark = Folder + "dark-final.fits"
Finaloffset = Folder + "offset-final.fits"

#--- additional information (for FITS headers) ---
Config = 0
More_headers_dark = {'OBJECT': ['Master dark frame','']}
More_headers_offset = {'OBJECT': ['Master offset frame','']}

#------------------------------------------------------------------------------------
#	script
#------------------------------------------------------------------------------------

calib.process_darkframe_offsetframe(Darklist, Finaldark, Config, Headers=More_headers_dark)
dark = astro.get_imagedata([Finaldark])
astro.display(dark)

calib.process_darkframe_offsetframe(Offsetlist, Finaloffset, Config, Headers=More_headers_offset)
offset = astro.get_imagedata([Finaloffset])
astro.display(offset)

